package com.sistema_ventas.model;
// Generated 11-13-2019 11:40:49 AM by Hibernate Tools 4.3.1


import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * Movimientos generated by hbm2java
 */
@Entity
@Table(name="movimientos"
    ,catalog="sistema_ventas"
)
public class Movimientos  implements java.io.Serializable {


     /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idmov;
     private Productos productos;
     private Sucursal sucursal;
     private TiposMovimientos tiposMovimientos;
     private int cantidad;
     private Date fecha;
     private int stock;

    public Movimientos() {
    }

	
    public Movimientos(Productos productos, Sucursal sucursal, TiposMovimientos tiposMovimientos, int cantidad, int stock) {
        this.productos = productos;
        this.sucursal = sucursal;
        this.tiposMovimientos = tiposMovimientos;
        this.cantidad = cantidad;
        this.stock = stock;
    }
    public Movimientos(Productos productos, Sucursal sucursal, TiposMovimientos tiposMovimientos, int cantidad, Date fecha, int stock) {
       this.productos = productos;
       this.sucursal = sucursal;
       this.tiposMovimientos = tiposMovimientos;
       this.cantidad = cantidad;
       this.fecha = fecha;
       this.stock = stock;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="idmov", unique=true, nullable=false)
    public Integer getIdmov() {
        return this.idmov;
    }
    
    public void setIdmov(Integer idmov) {
        this.idmov = idmov;
    }

@ManyToOne(fetch=FetchType.EAGER)
    @JoinColumn(name="producto", nullable=false)
    public Productos getProductos() {
        return this.productos;
    }
    
    public void setProductos(Productos productos) {
        this.productos = productos;
    }

@ManyToOne(fetch=FetchType.EAGER)
    @JoinColumn(name="sucursal", nullable=false)
    public Sucursal getSucursal() {
        return this.sucursal;
    }
    
    public void setSucursal(Sucursal sucursal) {
        this.sucursal = sucursal;
    }

@ManyToOne(fetch=FetchType.EAGER)
    @JoinColumn(name="tipo", nullable=false)
    public TiposMovimientos getTiposMovimientos() {
        return this.tiposMovimientos;
    }
    
    public void setTiposMovimientos(TiposMovimientos tiposMovimientos) {
        this.tiposMovimientos = tiposMovimientos;
    }

    
    @Column(name="cantidad", nullable=false)
    public int getCantidad() {
        return this.cantidad;
    }
    
    public void setCantidad(int cantidad) {
        this.cantidad = cantidad;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="fecha", length=19)
    public Date getFecha() {
        return this.fecha;
    }
    
    public void setFecha(Date fecha) {
        this.fecha = fecha;
    }

    
    @Column(name="stock", nullable=false)
    public int getStock() {
        return this.stock;
    }
    
    public void setStock(int stock) {
        this.stock = stock;
    }




}


